#ifndef CURSORENCRYPTION_DB_H
#define CURSORENCRYPTION_DB_H
/*lint ++flb */

/* Raima Database Manager 12.0.0.1000 */

/* ----------------------------------------------------------------------------
 *
 * Raima Database Manager
 *
 * Copyright (c) 2012 Raima Inc.,  All rights reserved.
 *
 * Use of this software, whether in source code format, or in executable,
 * binary object code form, is governed by the Raima LICENSE which
 * is fully described in the LICENSE.TXT file, included within this
 * distribution of files.
 *
 * ----------------------------------------------------------------------------
 */

/* EXAMPLE - Hello World for C using Encryption */
/* This is the DDL (Database Definition Language) for a single field,
 * single record-type database. The one record type is called HelloRecord,
 * and it's one field, message, can store an ASCII string. The program
 * will create a new record containing "Hello World" in the field, then
 * it will read through all records in the database and print their
 * contents.
 */

/* database CursorEncryption_db record/key structure declarations */

struct HelloRecord {
   char message[32];
};

/* record, field and set table entry definitions */

/* File Id Constants */

/* Record Name Constants */
#define HELLORECORD 10000

/* Field Name Constants */
#define MESSAGE 0L

/* Set Name Constants */

/* Field Sizes */
#define SIZEOF_MESSAGE 32

/*lint --flb */
#endif    /* CURSORENCRYPTION_DB_H */
